Package io.vertx.ext.auth.otp

## Class Authenticator

- java.lang.Object
- - io.vertx.ext.auth.otp.Authenticator

-     public class Authenticator
      extends Object

  Authenticator of specific user.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Authenticator()` |
    `Authenticator​(boolean registration)` |
    `Authenticator​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAlgorithm()` |
    `Integer` | `getAuthAttempts()` |
    `long` | `getCounter()` |
    `String` | `getIdentifier()` |
    `String` | `getKey()` |
    `long` | `getPeriod()` |
    `boolean` | `isRegistration()` |
    `Authenticator` | `registered()` |
    `Authenticator` | `setAlgorithm​(String algorithm)` |
    `Authenticator` | `setAuthAttempts​(Integer authAttempts)` |
    `Authenticator` | `setCounter​(long counter)` |
    `Authenticator` | `setIdentifier​(String identifier)` |
    `Authenticator` | `setKey​(String key)` |
    `Authenticator` | `setPeriod​(long period)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Authenticator

          public Authenticator​(boolean registration)

    - #### Authenticator

          public Authenticator()

    - #### Authenticator

          public Authenticator​(JsonObject json)

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

    - #### setIdentifier

          public Authenticator setIdentifier​(String identifier)

    - #### getKey

          public String getKey()

    - #### setKey

          public Authenticator setKey​(String key)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public Authenticator setAlgorithm​(String algorithm)

    - #### getCounter

          public long getCounter()

    - #### setCounter

          public Authenticator setCounter​(long counter)

    - #### getPeriod

          public long getPeriod()

    - #### setPeriod

          public Authenticator setPeriod​(long period)

    - #### getAuthAttempts

          public Integer getAuthAttempts()

    - #### setAuthAttempts

          public Authenticator setAuthAttempts​(Integer authAttempts)

    - #### isRegistration

          public boolean isRegistration()

    - #### registered

          public Authenticator registered()

    - #### toJson

          public JsonObject toJson()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`